Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1286135 - [abrt] gnome-shell: meta_window_set_title(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_window_set_title(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b4adb382bb020775c7efb012dc4...
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-11-27 11:45 UTC by Christian Stadelmann
Modified: 2016-09-01 01:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-01 01:24:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-11-27 11:45 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (deleted)
2015-11-27 11:45 UTC, Christian Stadelmann
no flags Details
File: dso_list (deleted)
2015-11-27 11:45 UTC, Christian Stadelmann
no flags Details
File: limits (deleted)
2015-11-27 11:45 UTC, Christian Stadelmann
no flags Details
File: maps (deleted)
2015-11-27 11:45 UTC, Christian Stadelmann
no flags Details
File: namespaces (deleted)
2015-11-27 11:45 UTC, Christian Stadelmann
no flags Details
File: open_fds (deleted)
2015-11-27 11:45 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (deleted)
2015-11-27 11:45 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2015-11-27 11:45:27 UTC
Description of problem:
Steps to reproduce:
1. log in to a gnome+wayland session
2. run konsole (KDE Terminal) with `QT_QPA_PLATFORM=wayland-egl konsole`

What happens:
Gnome-shell crashes, forced logout.

What should happen:
No crash (obviously).

Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: meta_window_set_title
executable:     /usr/bin/gnome-shell
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 meta_window_set_title at core/window.c:7321
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 wl_closure_invoke at src/connection.c:945
 #4 wl_client_connection_data at src/wayland-server.c:339
 #5 wl_event_loop_dispatch at src/event-loop.c:422
 #6 wayland_event_source_dispatch at wayland/meta-wayland.c:85
 #11 meta_run at core/main.c:437

Comment 1 Christian Stadelmann 2015-11-27 11:45:32 UTC
Created attachment 1099655 [details]
File: backtrace

Comment 2 Christian Stadelmann 2015-11-27 11:45:33 UTC
Created attachment 1099656 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2015-11-27 11:45:35 UTC
Created attachment 1099657 [details]
File: dso_list

Comment 4 Christian Stadelmann 2015-11-27 11:45:36 UTC
Created attachment 1099658 [details]
File: limits

Comment 5 Christian Stadelmann 2015-11-27 11:45:39 UTC
Created attachment 1099659 [details]
File: maps

Comment 6 Christian Stadelmann 2015-11-27 11:45:40 UTC
Created attachment 1099660 [details]
File: namespaces

Comment 7 Christian Stadelmann 2015-11-27 11:45:42 UTC
Created attachment 1099661 [details]
File: open_fds

Comment 8 Christian Stadelmann 2015-11-27 11:45:43 UTC
Created attachment 1099662 [details]
File: proc_pid_status

Comment 9 Christian Stadelmann 2015-11-27 11:47:56 UTC
This crash does not happen when using weston instead of gnome-shell.

Comment 10 Christian Stadelmann 2015-12-09 21:59:28 UTC
Also happens with qt creator and a bunch of other Qt5 applications.

Comment 11 Jonas Ådahl 2016-08-18 08:51:08 UTC
This is most likely fixed upstream. See https://bugzilla.gnome.org/show_bug.cgi?id=763431


Note You need to log in before you can comment on or make changes to this bug.